Package io.vertx.rxjava3.ext.web.handler

## Class MethodOverrideHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.MethodOverrideHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `PlatformHandler`

      public class MethodOverrideHandler
      extends Object
      implements PlatformHandler, Handler<RoutingContext>

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MethodOverrideHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodOverrideHandler​(MethodOverrideHandler delegate)` |
    `MethodOverrideHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MethodOverrideHandler` | `create()` | Create a X-HTTP-METHOD-OVERRIDE handler with safe downgrade of methods
    `static MethodOverrideHandler` | `create​(boolean useSafeDowngrade)` | Create a X-HTTP-METHOD-OVERRIDE handler
    `boolean` | `equals​(Object o)` |
    `MethodOverrideHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static MethodOverrideHandler` | `newInstance​(MethodOverrideHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MethodOverrideHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### MethodOverrideHandler

          public MethodOverrideHandler​(MethodOverrideHandler delegate)

    - #### MethodOverrideHandler

          public MethodOverrideHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MethodOverrideHandler getDelegate()

      Specified by:
        `getDelegate` in interface `PlatformHandler`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `PlatformHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static MethodOverrideHandler create()

      Create a X-HTTP-METHOD-OVERRIDE handler with safe downgrade of methods
      Returns:
        the X-HTTP-METHOD-OVERRIDE handler

    - #### create

          public static MethodOverrideHandler create​(boolean useSafeDowngrade)

      Create a X-HTTP-METHOD-OVERRIDE handler
      Parameters:
        `useSafeDowngrade` - if set to true, the method overriding will not happen if the overridden method is more idempotent or safer than the overriding method.
      Returns:
        the X-HTTP-METHOD-OVERRIDE handler

    - #### newInstance

          public static MethodOverrideHandler newInstance​(MethodOverrideHandler arg)